summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-06-02 07:15:20 +0200
committerRemi Collet <remi@php.net>2026-06-02 07:15:20 +0200
commit634af8c4c9218c3ae0a85f2d080bd7261163d9fe (patch)
tree11c517a9d6fd1860db1bb2b08146ee936a4523d8
parent983a86567863e8bf8aa1ff67e0da0bf27487fff5 (diff)
update to 9.0.1HEADmaster
-rw-r--r--composer.json2
-rwxr-xr-xmakesrc.sh26
-rw-r--r--php-sebastian-global-state9.spec18
3 files changed, 19 insertions, 27 deletions
diff --git a/composer.json b/composer.json
index c758301..4569a50 100644
--- a/composer.json
+++ b/composer.json
@@ -29,7 +29,7 @@
},
"require-dev": {
"ext-dom": "*",
- "phpunit/phpunit": "^13.0"
+ "phpunit/phpunit": "^13.1.13"
},
"autoload": {
"classmap": [
diff --git a/makesrc.sh b/makesrc.sh
index ac0c720..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,35 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-sebastian-global-state9.spec b/php-sebastian-global-state9.spec
index d2eef48..ed1d866 100644
--- a/php-sebastian-global-state9.spec
+++ b/php-sebastian-global-state9.spec
@@ -9,11 +9,8 @@
%bcond_without tests
-%global gh_commit e52e3dc22441e6218c710afe72c3042f8fc41ea7
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project global-state
-%global gh_date 2026-02-06
# Packagist
%global pk_vendor sebastian
%global pk_project %{gh_project}
@@ -24,14 +21,14 @@
%global php_home %{_datadir}/php
Name: php-%{pk_vendor}-%{pk_project}%{major}
-Version: 9.0.0
-Release: 2%{?dist}
+Version: 9.0.1
+Release: 1%{?dist}
Summary: Snapshotting of global state, version %{major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
@@ -43,9 +40,9 @@ BuildRequires: (php-composer(sebastian/object-reflector) >= 6.0 with php-c
BuildRequires: (php-composer(sebastian/recursion-context) >= 8.0 with php-composer(sebastian/recursion-context) < 9)
# from composer.json, "require-dev": {
# "ext-dom": "*",
-# "phpunit/phpunit": "^13.0"
+# "phpunit/phpunit": "^13.1.13"
BuildRequires: php-dom
-BuildRequires: phpunit13
+BuildRequires: phpunit13 >= 13.1.13
%endif
# from composer.json, "require": {
@@ -72,7 +69,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -130,6 +127,9 @@ exit $ret
%changelog
+* Tue Jun 2 2026 Remi Collet <remi@remirepo.net> - 9.0.1-1
+- update to 9.0.1
+
* Tue Feb 10 2026 Remi Collet <remi@remirepo.net> - 9.0.0-2
- enable test suite